function setItinerarios(data){

    var ul = document.getElementById('listItinerarios');

    for(i in data) {
        var li = document.createElement("li");
        li.className = "ui-li-static ui-body-inherit";
        li.value = data[i].idItinerario;
        li.appendChild(document.createTextNode(data[i].descripcion));
        ul.appendChild(li);
    }

    $("#itinerario").collapsible("expand").show();

    $('#listItinerarios>li').on('click', function(){
        $("#last").hide();
        $('#timetable').hide();
        $( "#parada" ).hide();
        $( "#postButton").hide();
        var itinerario = this.textContent;
        itinerarioSeleccionado = this.value;
        $( "#itinerarioHeader" ).text( itinerarioCollapsible+": "+itinerario);
        $( "#itinerario" ).collapsible( "collapse" );
        $('select[name=stops]').html('');
        $("#listParadas").empty();
        $( "#paradaHeader" ).text(paradaCollapsible);
        getStopsByItinerary(itinerarioSeleccionado, eid, lid, [], setStops);
    });
}

function setStops(data){

    var html = '';
    var ul = document.getElementById('listParadas');

    for(i in data) {
        html += '<option value="' + data[i].idParada + '">' + data[i].nombre + '</option>';
        var li = document.createElement("li");
        li.className = "ui-li-static ui-body-inherit";
        li.value = data[i].idParada;
        li.appendChild(document.createTextNode(data[i].nombre));
        ul.appendChild(li);
    }

    $('select[name=stops]').html(html);

    $("#parada").collapsible("expand").show();

    $('#listParadas>li').on('click', function(){
        $("#last").hide();
        $('#timetable').hide();
        var parada = this.textContent;
        paradaSeleccionada = this.value;
        $( "#paradaHeader" ).text( paradaCollapsible+": "+parada);
        $( "#parada" ).collapsible( "collapse" );
        $( "#postButton").show();
    });
}