var addr = "http://82.223.133.157/WCFConsulta/ConsultaService.svc/";

function queryWP(q, id, parents, callback){

    q = q + id;

    var tmp = parents;
    var nParents = tmp.length;

    $.ajax({
        beforeSend: showModal(),
        url: addr + q,
        async: false,
        type: "GET",
        dataType: "jsonp",
        crossDomain: true,
        contentType: "application/json",
        timeout: 20000
    }).done(function(data){
        var out = [];
        for(i = 0; i < nParents; i++)
            out.push(tmp[i]);
        out.push(id);
        for(i = 0; i < data.length; i++)
            data[i].parents = out;
        callback(data);
    }).fail(function(){
        navigator.notification.alert(tryagain, function(){}, errorConnection, okmsg);
    }).always(function(){
        hideModal();
    });
}

function getItineraryByLine(id, eid, parents, callback){
    queryWP("ObtenerItinerariosByIdLinea?codEmpresa=" + eid + "&codLinea=", id, parents, callback);
}

function getStopsByItinerary(id, eid, lid, parents, callback){
    queryWP("ObtenerParadasByIdItinerario?codLinea=" + lid +  "&codEmpresa=" + eid +  "&codItinerario=", id, parents, callback);
}