//app attributes
var globalizationID;
var spinnerText, credits, initConnection, noConnection, okmsg, closemsg, lineCollapsible, itinerarioCollapsible,
    paradaCollapsible, tryagain, errorConnection, lastQuery, errorServer, invalidContent="";

//globalization
var cLANGUAGE = null; //in order to store the language tag
var languageSpecificObject = null;
var languageSpecificURL = "";

//elementos seleccionados
var lid, eid,lineaSeleccionada, itinerarioSeleccionado, paradaSeleccionada = "";

//Fires whenever there is an error - helps with troubleshooting.
window.onerror = function (msg, url, line) {
    var resStr;
    var idx = url.lastIndexOf('/');
    if (idx > -1) {
        url = url.substring(idx + 1);
    }
    resStr = 'ERROR in ' + url + ' on line ' + line + ': ' + msg;
    Bugsense.notify( resStr , url, line );
    return false;
};

document.addEventListener('deviceready', initApp, false);
document.addEventListener("offline", offlineSession, false);
document.addEventListener("online", onlineSession, false);
document.addEventListener("backbutton", function(){
    if($.mobile.activePage.is('#pagetwo')){
        var len=history.length;
        $.mobile.navigate("#main-page");
        history.go(-len);
    }
    else {
        navigator.app.exitApp();
    }
}, false);

$( document ).on( "click", ".show-page-loading-msg", function() {
    var $this = $( this ),
        theme = $this.jqmData( "theme" ),
        msgText = spinnerText,
        textVisible = $this.jqmData( "textvisible" ),
        textonly = !!$this.jqmData( "textonly" );
    html = $this.jqmData( "html" ) || "";
    $.mobile.loading( "show", {
        text: msgText,
        textVisible: textVisible,
        theme: theme,
        textonly: textonly,
        html: html
    });
});

//swipe control
$( document ).on( "pageinit", "#main-page", function() {
    $( document ).on( "swipeleft swiperight", "#main-page", function( e ) {
        // We check if there is no open panel on the page because otherwise
        // a swipe to close the left panel would also open the right panel (and v.v.).
        // We do this by checking the data that the framework stores on the page element (panel: open).
        if ( $.mobile.activePage.jqmData( "panel" ) !== "open" ) {
            if ( e.type === "swipeleft"  ) {
                $("#add-form").panel("open");
            }
        }
    });
});

function initApp(){
    //navigator.splashscreen.hide();
    StatusBar.backgroundColorByHexString("#1d1d1d");
    StatusBar.overlaysWebView(false);
    getLanguage();
}

//cargar lenguaje
function getLanguage(){
    globalizationID = navigator.globalization.getPreferredLanguage(onSuccessLanguage, onErrorLanguage);
}

function offlineSession(){
//    navigator.notification.alert("Sin conexion");
}

function onlineSession(){
//    navigator.notification.alert("online");
}

//hacer la carga del resto de datos del DOM
function onBodyLoad() {
    $.mobile.changePage( "welcome.html", { role: "dialog" } );
    setTimeout( closeDialog , 6000);
}

function isConnected() {
    var networkState = navigator.connection.type;
    return networkState != Connection.NONE;
}

function closeDialog(){
    $('[data-role=dialog]').dialog( "close" );
    document.getElementById("main-page").style.visibility = "visible";
    $( "#postButton").hide();
    $("#last").hide();
    $('#timetable').hide();
    if(!isConnected()){
        navigator.notification.alert(initConnection, function(){}, noConnection, okmsg);
    }
}

function showModal(){
    $("body").append('<div class="modalWindow"/>');
    $.mobile.loading('show');
}

function hideModal(){
    $(".modalWindow").remove();
    $.mobile.loading('hide');
}

function restoreHistory(){
    var len=history.length;
    $.mobile.navigate("#main-page");
    history.go(-len);
}