// created by Nieves Lajara

$('#myform').submit(function(e){
    e.preventDefault();
    $.ajax({
        type: "POST",
        async: true,
        url: "http://www.aisa-grupo.com/es/ciudad-real/horarios-en-tiempo-real/",
        data: "nearest=false&lat=38.984999&long=-3.927356&isStop=&lines="+lineaSeleccionada+"&itineraries="+itinerarioSeleccionado+"&stops="+paradaSeleccionada,
        timeout: 20000,
        error: function (data, textStatus, errorThrown) {
            if (textStatus == "timeout" ) {
                Bugsense.notify( errorThrown , {reason: 'timeout'});
            }
        }
    }).done(function(data){
        myParser(data);
    }).fail(function(){
        hideModal();
        navigator.notification.alert(tryagain, function(){}, errorConnection, okmsg);
    }).always(function(){
        hideModal();
    });
    return false; //avoid reset html
});

function myParser(DOM){
    try {
        navigator.globalization.dateToString(
            new Date(),
            function (date) {
                document.getElementById("last").innerHTML = lastQuery+": "+date.value;
            },
            function () {
                document.getElementById("last").innerHTML = "";
            },
            { formatLength: 'medium', selector: 'date and time' }
        );
        var el = document.createElement('div');
        el.innerHTML = '' + DOM;
        var bodytable = el.getElementsByTagName('tbody')[0].innerHTML;
        $('#bodytimetable').html(bodytable);
        $("td.c2").remove();
        $("td.c3").remove();
        $('#last').show();
        $('#timetable').show();
        hideModal();
        window.scrollTo(0,document.body.scrollHeight);
    }
    catch(err){
        navigator.notification.alert(errorServer, function(){}, invalidContent, okmsg);
    }
}